Get Issue

gethttps://app.fossa.com/api/v2/issues/{issueId}

Retrieve a single issue

Path parameters

issueIdintegerrequired

Issue ID

Query parameters

categoryenumrequired

Issue category

licensingvulnerabilityquality
scope[type]enumrequired

Scope of issues to view / update

globalprojectreleaseGroup
scope[id]string

Project or release group ID (required when scope[type] is "project" or "releaseGroup")

scope[revision]string

Revision ID (when scope[type] is "project")

scope[revisionScanId]integer <int32>

Revision scan ID (when scope[type] is "project")

scope[release]string

Release group ID (when scope[type] is "releaseGroup")

scope[releaseScanId]string

Release scan ID (when scope[type] is "releaseGroup")

Responses

200Vulnerability, licensing, or quality issue response
object
400Bad Request
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

404NotFound
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

500Server Error
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

GET https://app.fossa.com/api/v2/issues/1
curl --request GET \  --url 'https://app.fossa.com/api/v2/issues/1' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Path params

issueIdintegerrequired

Issue ID

Query params

categoryenumrequired

Issue category

scope[type]enumrequired

Scope of issues to view / update

scope[id]string

Project or release group ID (required when scope[type] is "project" or "releaseGroup")

scope[revision]string

Revision ID (when scope[type] is "project")

scope[revisionScanId]integer

Revision scan ID (when scope[type] is "project")

scope[release]string

Release group ID (when scope[type] is "releaseGroup")

scope[releaseScanId]string

Release scan ID (when scope[type] is "releaseGroup")